# `ConnectionURIOpener`

The ConnectionURIOpener class is accessible via the `sqlobject.dbconnection` module.

## Methods

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__init__(self)` ...

#### f `registerConnection(self, schemes, builder)` ...

#### f `registerConnectionInstance(self, inst)` ...

#### f `connectionForURI(self, uri, oldUri=False, **args)` ...

#### f `dbConnectionForScheme(self, scheme)` ...

See the source for more information.